Bug 44234 - We should configure the systemd logging as "persistent"
We should configure the systemd logging as "persistent"
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: univention-base-files
UCS 4.2
Other Linux
: P5 enhancement (vote)
: UCS 4.2-1-errata
Assigned To: Janek Walkenhorst
Philipp Hahn
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-03 14:42 CEST by Christina Scheinig
Modified: 2017-07-20 14:42 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 2: Improvement: Would be a product improvement
Who will be affected by this bug?: 5: Will affect all installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.114
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christina Scheinig univentionstaff 2017-04-03 14:42:45 CEST
We should configure the systemd logging as "persistent". Default is "auto". 


root@ucs-42:# man journald.conf
[...]
Storage=
           Controls where to store journal data. One of "volatile", "persistent", "auto" and "none". If "volatile", journal log data will be stored only in
           memory, i.e. below the /run/log/journal hierarchy (which is created if needed). If "persistent", data will be stored preferably on disk, i.e.
           below the /var/log/journal hierarchy (which is created if needed), with a fallback to /run/log/journal (which is created if needed), during early
           boot and if the disk is not writable.  "auto" is similar to "persistent" but the directory /var/log/journal is not created if needed, so that its
           existence controls where log data goes.  "none" turns off all storage, all log data received will be dropped. Forwarding to other targets, such
           as the console, the kernel log buffer or a syslog daemon will still work however. Defaults to "auto".

[...]

--------------------------------------------------------------------------------
My journald.conf:

root@ucs-42:# cat /etc/systemd/journald.conf 
#  This file is part of systemd.
#
#  systemd is free software; you can redistribute it and/or modify it
#  under the terms of the GNU Lesser General Public License as published by
#  the Free Software Foundation; either version 2.1 of the License, or
#  (at your option) any later version.
#
# See journald.conf(5) for details

[Journal]
#Storage=auto
#Compress=yes
#Seal=yes
#SplitMode=uid
#SyncIntervalSec=5m
#RateLimitInterval=30s
#RateLimitBurst=1000
#SystemMaxUse=
#SystemKeepFree=
#SystemMaxFileSize=
#RuntimeMaxUse=
#RuntimeKeepFree=
#RuntimeMaxFileSize=
#MaxRetentionSec=
#MaxFileSec=1month
#ForwardToSyslog=yes
#ForwardToKMsg=no
#ForwardToConsole=no
#ForwardToWall=yes
#TTYPath=/dev/console
#MaxLevelStore=debug
#MaxLevelSyslog=debug
#MaxLevelKMsg=notice
#MaxLevelConsole=info
#MaxLevelWall=emerg
Comment 1 Philipp Hahn univentionstaff 2017-04-04 17:23:42 CEST
We should just create an empty directory /var/log/journal/ and probably add some logrotate rules.
Comment 2 Janek Walkenhorst univentionstaff 2017-06-28 19:17:08 CEST
Advisory: univention-base-files.yaml
Comment 3 Philipp Hahn univentionstaff 2017-06-29 09:14:05 CEST
OK: univention-base-files.yaml
OK: errata-announce -V --only univention-base-files.yaml
OK: apt-get install univention-base-files univention-base-packages
FAIL: ucs-4.2-1@80595
 Missing descriptio
  +[systemd/journald/Storage]
  +Description[de]=

RFC: Is there a reason why you added the *same* UCR settings to both "install" and "upgreade"? That IMHO only makes sense if they would be different. I find that confusing. (I recommend moving them to line 60 after logrotate)
Comment 4 Janek Walkenhorst univentionstaff 2017-07-03 13:46:19 CEST
(In reply to Philipp Hahn from comment #3)
> FAIL: ucs-4.2-1@80595
>  Missing descriptio
>   +[systemd/journald/Storage]
>   +Description[de]=
Fixed
Comment 5 Philipp Hahn univentionstaff 2017-07-17 12:30:51 CEST
(In reply to Janek Walkenhorst from comment #4)
> (In reply to Philipp Hahn from comment #3)
> > FAIL: ucs-4.2-1@80595
> >  Missing descriptio
> >   +[systemd/journald/Storage]
> >   +Description[de]=
> Fixed

univention-base-files   6.0.0-13A~4.2.0.201707031342
univention-base-packages        6.0.0-13A~4.2.0.201707031342

OK: /etc/univention/registry.info/variables/univention-base-files.cfg
OK: ucr info [UMC: lang={en,de}]
OK: errata-announce -V --only univention-base-files.yaml
OK: ucs-4.2-1@80767
Comment 6 Janek Walkenhorst univentionstaff 2017-07-20 14:42:18 CEST
<http://errata.software-univention.de/ucs/4.2/97.html>